> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/initializationresult/initializationfailurereason.md).

# InitializationFailureReason

Represents the initialiation failure.

| **UNSUPPORTED\_OS\_VERSION**       | The SDK does not support the existing OS version.                                                                                                                                                                                                                      |
| ---------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **REINITIALIZATION\_NOT\_ALLOWED** | Reinitialization is not allowed while a Sentiance user exists, unless done across app restarts or after an SDK [reset](/important-topics/sdk/api-reference/android/sentiance.md#reset).                                                                                |
| **EXCEPTION\_OR\_ERROR**           | An exception or an error occurred during initialization. See [InitializationResult#getThrowable()](/important-topics/sdk/api-reference/android/initializationresult.md#getthrowable).                                                                                  |
| **SDK\_RESET\_IN\_PROGRESS**       | Cannot initialize the SDK while it's being reset. Wait for the the reset operation to complete first.                                                                                                                                                                  |
| **APP\_INSTABILITY\_DETECTED**     | <p>The SDK detected app instability, so initialization was aborted.</p><p>All subsequent initialization attempts are blocked until the application is restarted.</p><p>This safety mechanism helps prevent additional instability and reduces the risk of crashes.</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/initializationresult/initializationfailurereason.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
